[Réglé] upgrade impossible

Forum concernant les demandes de support pour tout problème de mise à jour d'un forum phpBB 3.3.x depuis une version antérieure ou d'une conversion de phpBB2 ou phpBB3 vers phpBB 3.3

Modérateur: Equipe

Règles du forum
A lire impérativement : Règlement de phpBB-fr.com

Pensez à effectuer une recherche, la réponse à votre question a de grandes chances d'avoir déjà été donnée.

[Réglé] upgrade impossible

Messagepar DarkLane » 07 Jan 2020 à 14:14

J'ai essayé de faire l'upgrade d'un forum en phpbb 2.2.8 vers la version 3.3 c'est impossible car une fois l'upgrade fini on a plein d'erreur avec les modules externe.
Modifié en dernier par DarkLane le 10 Jan 2020 à 08:23, modifié 1 fois.
Version PHPBB: 3.3
Version PHP : 7.3


Mes deux forums PHPBB 3.3
Passion2Roues
PacaPrez
DarkLane
Posteur néophyte
Posteur néophyte
 
Messages: 31
Enregistré le: 04 Oct 2018 à 07:30

Re: upgrade impossible

Messagepar Steph » 07 Jan 2020 à 14:23

Salut,

Bonjour/Bonsoir ? Merci d'avance ?
La politesse n'est pas une option même sur un forum.


phpbb 2.2.8 ? Tu es sûr ?

Ensuite, bien sûr il faut aussi faire preuve de réflexion et de se renseigner avant de faire quoi que ce soit, le passage vers la version phpBB 3.3.x n'est pas si anodine.

Les extensions ne sont effectivement pas toutes compatible, mais pour l'heure nous n'avons aucun recule sur cela.

Une chose est sûre il faut PHP 7.1.3 au minimum, mais pour le coup il faut que les extensions soient compatibles à ce niveau là aussi.

Commence par désactiver les extensions et réactive les une à une pour voir celles qui posent soucis, ensuite il faudra patienter que les auteurs les mettent à jour.
Avatar de l’utilisateur
Steph
Administrateur
Administrateur
 
Messages: 19500
Enregistré le: 29 Déc 2008 à 15:48
Localisation: Alsace / Bas-Rhin / France

Re: upgrade impossible

Messagepar DarkLane » 09 Jan 2020 à 17:33

Je viens de faire une conversion, mais pour que cela reussisse il faut desactiver toutes les extensions et nettoyer les données, ensuite passer son forum avec le style d'origine.

Tout c'est trés bien passé, puis j'ai testé les extension une par une et j'ai reussi à en installer 10.

Et effectivement il faut bien se préparer pour faire la mise à jour vers 3.3. et surtout faire une sauvegarde de sa base de donnée avant
Version PHPBB: 3.3
Version PHP : 7.3


Mes deux forums PHPBB 3.3
Passion2Roues
PacaPrez
DarkLane
Posteur néophyte
Posteur néophyte
 
Messages: 31
Enregistré le: 04 Oct 2018 à 07:30

Re: upgrade impossible

Messagepar Steph » 09 Jan 2020 à 18:36

Merci pour ce retour d'expérience.

Si vous considérez votre requête comme résolue, merci d'ajouter l'attribut de sujet [Réglé]
Avatar de l’utilisateur
Steph
Administrateur
Administrateur
 
Messages: 19500
Enregistré le: 29 Déc 2008 à 15:48
Localisation: Alsace / Bas-Rhin / France


Retourner vers Mises à jour/Conversions

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 1 invité